org.eclipse.rdf4j.model

## Interface Value

- All Superinterfaces:
    Serializable
  All Known Subinterfaces:
    BNode, IRI, Literal, MemResource, MemValue, NativeResource, NativeValue, Resource, Triple, URI
  All Known Implementing Classes:
    AbstractBNode, AbstractIRI, AbstractLiteral, AbstractTriple, BNodeImpl, BooleanLiteral, BooleanLiteralImpl, BooleanMemLiteral, CalendarLiteral, CalendarMemLiteral, DecimalLiteral, DecimalMemLiteral, IntegerLiteral, IntegerMemLiteral, LiteralImpl, MemBNode, MemIRI, MemLiteral, MemTriple, NativeBNode, NativeIRI, NativeLiteral, NumericLiteral, NumericMemLiteral, SimpleBNode, SimpleIRI, SimpleLiteral, SimpleTriple, URIImpl

      public interface Value
      extends Serializable

  The supertype of all RDF model objects (URIs, blank nodes and literals).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `isBNode()` Check if the object is an instance of the given type.
    `default boolean` | `isIRI()` Check if the object is an instance of the given type.
    `default boolean` | `isLiteral()` Check if the object is an instance of the given type.
    `default boolean` | `isResource()` Check if the object is an instance of the given type.
    `default boolean` | `isTriple()` Check if the object is an instance of the given type.
    `String` | `stringValue()` Returns the String-value of a `Value` object.

- - ### Method Detail

    - #### isBNode

          default boolean isBNode()

      Check if the object is an instance of the given type. Typically 2x than using instanceof. For implementers: This default implementation is overridden in the repsective sub-interface.
      Returns:
        true if instance of `BNode`

    - #### isIRI

          default boolean isIRI()

      Check if the object is an instance of the given type. Typically 2x than using instanceof. For implementers: This default implementation is overridden in the repsective sub-interface.
      Returns:
        true if instance of `IRI`

    - #### isResource

          default boolean isResource()

      Check if the object is an instance of the given type. Typically 2x than using instanceof. For implementers: This default implementation is overridden in the repsective sub-interface.
      Returns:
        true if instance of `Resource`

    - #### isLiteral

          default boolean isLiteral()

      Check if the object is an instance of the given type. Typically 2x than using instanceof. For implementers: This default implementation is overridden in the repsective sub-interface.
      Returns:
        true if instance of `Literal`

    - #### isTriple

          default boolean isTriple()

      Check if the object is an instance of the given type. Typically 2x than using instanceof. For implementers: This default implementation is overridden in the repsective sub-interface.
      Returns:
        true if instance of `Triple`

    - #### stringValue

          String stringValue()

      Returns the String-value of a `Value` object. This returns either a `Literal`'s label, a `IRI`'s URI or a `BNode`'s ID.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.